Actor types to include in the audit log results.













Beta Admin Audit Logs Endpoints
(beta) Admin API - access audit logs. Requires an admin API key.












Examples
Real world code examples
Get Audit Logs
GET /v1/admin/audit-logs#
List audit log entries for the Organization.
AdminApiKey#
actor_type#
event_type#
Event types to include in the audit log results.
target_type#
Target resource types to include in the audit log results.
actor_user_uuid#
Filter logs by the UUID of the user who performed the action.
sort#
Sort order for audit log entries.
after#
Return audit log entries after this time.
before#
Return audit log entries before this time.
limit#
Maximum number of results to return.
200
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/admin/audit-logs \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/admin/audit-logs \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
[
{
"actor_metadata": [
"ipsum eiusmod"
],
"actor_type": "HUMAN",
"created_at": "2025-12-17T10:25:07.818693Z",
"event_metadata": [
"consequat do"
],
"event_type": "user.create",
"log_id": 87,
"target_metadata": [
"reprehenderit ut dolore"
],
"target_type": "USER"
}
][
{
"actor_metadata": [
"ipsum eiusmod"
],
"actor_type": "HUMAN",
"created_at": "2025-12-17T10:25:07.818693Z",
"event_metadata": [
"consequat do"
],
"event_type": "user.create",
"log_id": 87,
"target_metadata": [
"reprehenderit ut dolore"
],
"target_type": "USER"
}
]